#ifndef CCTRLSTATIC_H
#define CCTRLSTATIC_H

#include "cmwidget.h"
#include <QLabel>
class CTRLS_COMMON_EXPORT CCtrlStatic : public CMWidget
{
    Q_OBJECT
public:
    explicit CCtrlStatic(QWidget *parent = 0);

    void paintEvent(QPaintEvent *);

    QPixmap m_Pixmap;
    QColor m_BKColor;
    QString m_text;
    int m_iAlignFlag;
    virtual void refreshPixmap();
    void setText(const QString & text,int iAlignFlag= Qt::AlignLeft|Qt::AlignVCenter);

    void setNum(int n,int iAlignFlag= Qt::AlignLeft|Qt::AlignVCenter);
    void setNum(double d,int iAlignFlag= Qt::AlignLeft|Qt::AlignVCenter);

    void showEvent(QShowEvent *);

signals:

public slots:
};

#endif // CCTRLSTATIC_H
